//--------------//
// RotDecal  //
//--------------//

class RotDecal extends Actor;

simulated function BeginPlay()
{
	local int i, j;
	local string s;

	for (j=0; j<10; j++)  //Load the default splats with new textures
	{
		i = Rand(42)+1;
		s = "MoreBlood.Splat"$String(i);
		class'Botpack.BloodSplat'.Default.Splats[j] = texture(DynamicLoadObject(s, class'texture'));
	}
	for (j=0; j<5; j++)
	{
		i = Rand(42)+1;
		s = "MoreBlood.Splat"$String(i);
		class'Botpack.UTBloodPool'.Default.Splats[j] = texture(DynamicLoadObject(s, class'texture'));
	}
	for (j=0; j<4; j++)
	{
		i = Rand(42)+1;
		s = "MoreBlood.Splat"$String(i);
		class'Botpack.UTBloodPool2'.Default.Splats[j] = texture(DynamicLoadObject(s, class'texture'));
	}
	Destroy();
}

defaultproperties
{
	bHidden=True
}
